
Redmine - Defect #3285

Renamed SVN Project/Folder :: problem when try to view difference.

2009-05-03 22:21 - Nenad Markovic

Status: Closed Start date: 2009-05-03

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Hi,

I use Redmine with a subversion repository.

When I try to view differences with a file with accents, I have this message :

The entry or revision was not found in the repository.

I have five project/folders in SVN repository ; and all are connected to Redmine Repository Tab :

Three projects work fine and I can se repositories from Redmine and differences ..

But with other two I have problems: I can not see difference in files in Repository Tab .. I realised that it may be because I recently

renamed root folder of that projects on SVN server ..

And maybe this is because : Redmine look in History (old Revision) for link to that file but old revision has different root folder then as

it now ; and Redmine can not find that file on SVN .. (??)

Related issues:

Is duplicate of Redmine - Defect #2493: Subversion: Error message for some of... Confirmed 2009-01-12

History

#1 - 2009-05-10 11:54 - Jean-Philippe Lang

Please read SubmittingBugs.

Also, in order to understand what happens with subversion, I need you to attach the Redmine log when running in development mode. Thanks.

#2 - 2011-01-18 07:13 - Toshi MARUYAMA

- Category set to SCM

#3 - 2013-03-27 00:01 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #2493.
